Skip to main content
Update API Key
curl --request PUT \
  --url https://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/{key_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessPolicy": "{\"version\":\"2025-01-01\",\"default\":{\"permissions\":{\"data-ingest-api-keys:ReadAccessPolicy\":\"grant\",\"data-ingest-api-keys:Manage\":\"deny\",\"data-ingest-api-keys:UpdateAccessPolicy\":\"deny\",\"data-ingest-api-keys:ReadConfig\":\"grant\"}},\"rules\":[]}",
  "isActive": true,
  "newName": "my_new_name",
  "permissions": {
    "permissions": [
      "<string>"
    ]
  },
  "presets": {
    "presets": [
      "<string>"
    ]
  }
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

key_id
string
required

Key identifier.

Example:

"my_key_id"

Body

application/json

This data structure is used to update an API key.

accessPolicy
string

JSON string representing the access policy for this API key. Defines granular permissions for users and groups. To delete an existing policy, pass an empty string.

Example:

"{\"version\":\"2025-01-01\",\"default\":{\"permissions\":{\"data-ingest-api-keys:ReadAccessPolicy\":\"grant\",\"data-ingest-api-keys:Manage\":\"deny\",\"data-ingest-api-keys:UpdateAccessPolicy\":\"deny\",\"data-ingest-api-keys:ReadConfig\":\"grant\"}},\"rules\":[]}"

isActive
boolean

Whether the API key is active. Set to false to deactivate without deleting.

Example:

true

newName
string

New display name for the API key.

Example:

"my_new_name"

permissions
Permissions · object

This data structure represents a set of permissions on an API key.

presets
Presets · object

This data structure represents a set of permissions presets on an API key.

Response

Response returned after successfully updating an API key.